Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class SearchTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.ejie.r01f.taglibs.xtags.SearchTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class SearchTag
extends javax.servlet.jsp.tagext.TagSupport

XTags para presentar resultados de una busqueda y paginarlos. La estructura típica es:

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchTag()` Creates a new instance of SearchResultsTag

Method Summary
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`Search` | `getBuscador()` Devuelve el buscador utilizado en la busqueda
`java.lang.String` | `getCodigoAplicacion()` Devuelve el codigo de aplicacion
`java.lang.String` | `getLanguage()` Devuelve el lenguage utilizado en la busqueda
`java.lang.String` | `getName()`
`java.lang.String` | `getRpcExecName()` Devuelve el nombre del modulo RPC
`java.lang.String` | `getSearchID()` Devuelve el identificador de la busqueda que sirve para poder utilizar el mismo modulo RPC para diferentes busquedas
`void` | `release()`
`void` | `setBuscador(Search x)` Establece el objeto buscador utilizado en la busqueda
`void` | `setCodigoAplicacion(java.lang.String x)` Establece el codigo de aplicacion
`void` | `setLanguage(java.lang.String x)` Establece el codigo de lenguaje utilizado en la busqueda
`void` | `setName(java.lang.String x)` Establece el nombre de la busqueda
`void` | `setRpcExecName(java.lang.String x)` Establece el nombre del modulo RPC utilizado en la busqueda
`void` | `setSearchID(java.lang.String x)` Establece el identificador de la busqueda que sirve para poder utilizar el mismo modulo RPC para diferentes busquedas
`void` | `setShowHeader(boolean x)` Establece si hay que mostrar la cabecera de busqueda con el resumen de los parametros y resultados de la misma
`boolean` | `showHeader()` Devuelve si hay que mostrar la cabecera de búsqueda con el resumen de los parametros y resultados de la misma

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchTag

    public SearchTag()

  Creates a new instance of SearchResultsTag

Method Detail

### release

    public void release()

### doStartTag

    public int doStartTag()

  Process the start of this tag. The default implementation does nothing.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String x)

  Establece el nombre de la busqueda

  Parameters:
    `x` - El nombre de la busqueda

### getBuscador

    public Search getBuscador()

  Devuelve el buscador utilizado en la busqueda

  Returns:
    el objeto buscador

### setBuscador

    public void setBuscador(Search x)

  Establece el objeto buscador utilizado en la busqueda

  Parameters:
    `x` - El objeto buscador

### getRpcExecName

    public java.lang.String getRpcExecName()

  Devuelve el nombre del modulo RPC

  Returns:
    el nombre del modulo rpc

### setRpcExecName

    public void setRpcExecName(java.lang.String x)

  Establece el nombre del modulo RPC utilizado en la busqueda

  Parameters:
    `x` - El nombre del modulo RPC

### getSearchID

    public java.lang.String getSearchID()

  Devuelve el identificador de la busqueda que sirve para poder utilizar el mismo modulo RPC para diferentes busquedas

  Returns:
    el identificador de la busqueda

### setSearchID

    public void setSearchID(java.lang.String x)

  Establece el identificador de la busqueda que sirve para poder utilizar el mismo modulo RPC para diferentes busquedas

  Parameters:
    `x` -

### getCodigoAplicacion

    public java.lang.String getCodigoAplicacion()

  Devuelve el codigo de aplicacion

  Returns:
    el codigo de aplicacion

### setCodigoAplicacion

    public void setCodigoAplicacion(java.lang.String x)

  Establece el codigo de aplicacion

  Parameters:
    `x` - El codigo de aplicacion

### showHeader

    public boolean showHeader()

  Devuelve si hay que mostrar la cabecera de búsqueda con el resumen de los parametros y resultados de la misma

  Returns:
    true si hay que mostrar la cabecera

### setShowHeader

    public void setShowHeader(boolean x)

  Establece si hay que mostrar la cabecera de busqueda con el resumen de los parametros y resultados de la misma

  Parameters:
    `x` - true si hay que mostrar la cabecera de busqueda

### getLanguage

    public java.lang.String getLanguage()

  Devuelve el lenguage utilizado en la busqueda

  Returns:
    el codigo de lenguaje

### setLanguage

    public void setLanguage(java.lang.String x)

  Establece el codigo de lenguaje utilizado en la busqueda

  Parameters:
    `x` - el codigo de lenguaje

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD